Fill a library form for several clients
curl --request POST \
--url https://advisor.redbark.com/api/v1/forms/{form}/fills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_ids": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({client_ids: ['<string>']})
};
fetch('https://advisor.redbark.com/api/v1/forms/{form}/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/forms/{form}/fills"
payload = { "client_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"object": "form_fill_batch",
"results": [
{
"client_id": "<string>",
"form_fill": {
"object": "form_fill",
"id": "<string>",
"number": 123,
"client_id": "<string>",
"name": "<string>",
"form_id": "<string>",
"layout_id": "<string>",
"group_id": "<string>",
"status": "draft",
"detection": "waiting",
"mapped": true,
"people": [
{
"role": "<string>",
"person_id": "<string>"
}
],
"checklist_item_id": "<string>",
"counts": {
"filled": 123,
"to_check": 123,
"missing": 123,
"left_for_client": 123
},
"created_at": "<string>",
"updated_at": "<string>",
"downloaded_at": "<string>"
},
"error": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Forms
Fill a library form for several clients
Starts one fill of a library form for each client, up to 50. A client that cannot be filled, such as an archived one, is reported in its result with error and the others go ahead. Set the people of each fill with update_form_fill when the form has more than one person.
POST
/
forms
/
{form}
/
fills
Fill a library form for several clients
curl --request POST \
--url https://advisor.redbark.com/api/v1/forms/{form}/fills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_ids": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({client_ids: ['<string>']})
};
fetch('https://advisor.redbark.com/api/v1/forms/{form}/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/forms/{form}/fills"
payload = { "client_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"object": "form_fill_batch",
"results": [
{
"client_id": "<string>",
"form_fill": {
"object": "form_fill",
"id": "<string>",
"number": 123,
"client_id": "<string>",
"name": "<string>",
"form_id": "<string>",
"layout_id": "<string>",
"group_id": "<string>",
"status": "draft",
"detection": "waiting",
"mapped": true,
"people": [
{
"role": "<string>",
"person_id": "<string>"
}
],
"checklist_item_id": "<string>",
"counts": {
"filled": 123,
"to_check": 123,
"missing": 123,
"left_for_client": 123
},
"created_at": "<string>",
"updated_at": "<string>",
"downloaded_at": "<string>"
},
"error": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Authorizations
Body
application/json

